#3 Trouble attaching to ttyp on FreeBSD 6

closed
nobody
None
5
2009-05-21
2009-05-18
Dan Boala
No

I think I have found a bug in t38modem 1.10 running on FreeBSD 6 ( 6.3 to be exact ).
The setup I'm using is the following : Hylafax -> t38modem -> Cisco 2811 with E1 -> PSTN.
Compiled with ptlib-2.6.1 and opal 3.6.1. t38modem is started with the following arguments: -t -o /var/log/t38_trace.log -p ttypa --no-h323 --sip-old-asn --h245tunneldisable --route "modem:.*=sip:<dn>@10.1.1.35" --route "sip:.*=modem:<dn>"
If I start first t38modem and then "gettyfax ttypa" , t38modem can not open the pty and the following error is logged :

2009/05/18 14:57:29.631 ptypa(b):1...:0x80f1400 ModemEndPoint::OnMyCallback command=addmodem extra=10
2009/05/18 14:57:29.631 ptypa(b):1...:0x80f1400 ModemEndPoint::OnMyCallback request={
command=addmodem
response=confirm
modemtoken=ptypa
}
2009/05/18 14:57:29.632 ptypa(b):1...:0x80f1400 PseudoModemPty::OpenPty tcgetattr ptypa ERROR: Resource temporarily unavailable

Afterwards faxgetty tries to open ttypa but fails with the following logged in /var/spool/hylafax/status/ttypa : Waiting for modem to come ready

However, if I launch first faxgetty, wait 5 seconds and then run t38modem with the same arguments, t38modem is able to open ttypa and everyting seems to be ok after that. This is a snippet from the trace :

2009/05/18 14:57:54.792 ptypa(b):1...:0x80f1400 ModemEndPoint::OnMyCallback command=addmodem extra=10
2009/05/18 14:57:54.792 ptypa(b):1...:0x80f1400 ModemEndPoint::OnMyCallback request={
command=addmodem
response=confirm
modemtoken=ptypa
}
2009/05/18 14:57:54.793 ptypa(e):1...:0x80fe600 <-> Started
2009/05/18 14:57:54.794 ptypa(i):1...:0x80fe800 --> Started
2009/05/18 14:57:54.794 ptypa(o):1...:0x80fea00 <-- Started
2009/05/18 14:57:55.438 ptypa(i):1...:0x80fe800 --> Stopped
2009/05/18 14:57:55.449 ptypa(b):1...:0x80f1400 PWLib Destroyed thread 0x8102000 ptypa(i):135260160:0x80fe800(id = 0)
2009/05/18 14:57:55.449 ptypa(o):1...:0x80fea00 <-- Stopped
2009/05/18 14:57:55.460 ptypa(b):1...:0x80f1400 PWLib Destroyed thread 0x8102100 ptypa(o):135260672:0x80fea00(id = 0)
2009/05/18 14:57:55.460 ptypa(e):1...:0x80fe600 <-> Stopped
2009/05/18 14:57:55.471 ptypa(b):1...:0x80f1400 PWLib Destroyed thread 0x8102200 ptypa(e):135259648:0x80fe600(id = 0)
2009/05/18 14:57:55.472 ptypa(e):1...:0x80fee00 <-> Started
2009/05/18 14:57:55.472 ptypa(i):1...:0x811d000 --> Started
2009/05/18 14:57:55.472 ptypa(o):1...:0x811d200 <-- Started
2009/05/18 14:57:56.450 ptypa(e):1...:0x80fee00 --> ATZ
2009/05/18 14:57:56.451 ptypa(e):1...:0x80fee00 <-- {
0d 0a 4f 4b 0d 0a ..OK.. }

Using this workaround I was then able to receive and send faxes. I have also found a similar behaviour reported on the hylafax-users mailing list: http://www.hylafax.org/archive/2008-11/msg00176.php , maybe this helps.

Otherwise a superb piece of software, thank you and please accept my humble congratulations :)

Discussion

  • Dan Boala

    Dan Boala - 2009-05-18

    Trace log

     
  • Dan Boala

    Dan Boala - 2009-05-18

    Working trace log

     
  • Vyacheslav Frolov

    Try with latest CVS version of t38modem.

     
  • Vyacheslav Frolov

    • status: open --> pending
     
  • Dan Boala

    Dan Boala - 2009-05-19
    • status: pending --> open
     
  • Dan Boala

    Dan Boala - 2009-05-19

    Yep, it works now ! Thank you very much for your support !

     
  • Vyacheslav Frolov

    • status: open --> closed
     

Log in to post a comment.